Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.table
Interface TableModel

All Known Implementing Classes:
  AbstractTableModel

public interface TableModel

The TableModel interface specifies the methods that the JTable class will use to interrogate a tabular data model.

Method Summary
`void` | `addTableModelListener(TableModelListener l)` Adds a listener that will be notified each time the data model changes.
`void` | `fireTableChanged(TableModelEvent evt_)`
`int` | `getColumnCount()` Get the number of columns in the model.
`java.lang.String` | `getColumnName(int column_)` Get the name of the specified column.
`int` | `getRowCount()` Get the number of rows in the model.
`java.lang.Object` | `getValueAt(int rowIndex_, int columnIndex_)` Returns an attribute value for the cell at (rowIndex, columnIndex)
`void` | `removeTableModelListener(TableModelListener l)` Removes the specified listener from the list of listeners.
`void` | `setValueAt(java.lang.Object value_, int row_, int column_)` Sets the attribute value for the cell at position (row, column).

Method Detail

### addTableModelListener

    public void addTableModelListener(TableModelListener l)

  Adds a listener that will be notified each time the data model changes.

### removeTableModelListener

    public void removeTableModelListener(TableModelListener l)

  Removes the specified listener from the list of listeners.

### getColumnCount

    public int getColumnCount()

  Get the number of columns in the model.

### getColumnName

    public java.lang.String getColumnName(int column_)

  Get the name of the specified column.

### getRowCount

    public int getRowCount()

  Get the number of rows in the model.

### getValueAt

    public java.lang.Object getValueAt(int rowIndex_,
                                       int columnIndex_)

  Returns an attribute value for the cell at (rowIndex, columnIndex)

### setValueAt

    public void setValueAt(java.lang.Object value_,
                           int row_,
                           int column_)

  Sets the attribute value for the cell at position (row, column).

### fireTableChanged

    public void fireTableChanged(TableModelEvent evt_)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD